Vector Difference failing to end
Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.0.1 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18265

Description

On OSX, using QGIS 2.0.1, "Vector/Geoprocessing Tools/Difference" can't handle large layers properly. Using a point file containing

thousands of points as "Input Vector Layer" and a Delaunay triangulation polygon file as "Difference Layer" the function runs,even

producing the output correctly but the routine never exits. They only way out is to force quit QGIS. 

The progress bar never goes beyond an initial, small fraction.

History

#1 - 2014-03-04 12:16 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to 44

Hi,

please test qgis 2.2 and/or attach sample data. Cheers!

#2 - 2014-06-21 03:36 PM - Jürgen Fischer

- Status changed from Feedback to Closed

closing for the lack of feedback.

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
